SISC(1)

NAME
sisc - Second Interpreter of Scheme Code

SYNOPSIS
sisc [ option ... ] [ argument ... [ -- [ program-option ... ] ]

DESCRIPTION
SISC, the Second Interpreter of Scheme Code, is an extensible Java based interpreter of the Scheme language as described in the Revised^5 Report on the Algorithmic Language Scheme and adds numerous extensions including Java integration.

STARTUP FILE AND EXPRESSION OPTIONS

-c name

--call-with-args name
    Calls the top-level procedure name with the remaining command-line arguments after the -- delimiter.

-e expr

--eval expr
    Evaluates the provided expression.

-x

--no-repl
    Instructs SISC to run the command line and then exit without entering the REPL.

-h heap-file

--heap heap-file
    Specifies that heap-file should be used as the initial heap image.

-p config-file

--properties config-file
    Specifies a Java property file that contains application properties.

-l [<host>:]<port>

--listen [<host>:]<port>
    Server Mode. Listen on <host>/<port> for REPL connections.

COMMAND LINE BEHAVIOR

The commandline is processed in the following manner. First, the entire command line is processed, noting the settings of each switch and accumulating all Scheme source files and arguments after the end of options sequence. Second, the heap file is loaded. Third, each Scheme source file is loaded in the order they occured on the command line. Errors are noted. Fourth, if present, the expression in an --eval switch is evaluated. Errors are noted. Fifth, if present, named function in a --call-with-args switch is applied to the arguments after the end of options sequence. Its return value is noted. Sixth, --no-repl was not specified, the REPL is invoked. Finally, if the REPL was run if its return value is an integer, that integer is returned as SISC's overall return code. If the REPL was not run, and any return code supporting step above was run, the most recent return code is returned. If no return code step was performed, but a success/failure step was performed, 1 is returned if any failures occured, 0 otherwise.

EXECUTABLE SCRIPTS
SISC supports all the required SRFI-22 bootstraps, consult the body of SRFI-22 for more information about using it to write executable Scheme programs.

MORE INFORMATION
For further information on SISC, please read the SISC for Seasoned Schemers manual available at

http://sisc.sourceforge.net/manual/

BUGS
Submit bug reports to the SISC Users Mailing List.

AUTHOR
SISC was created by Scott G. Miller (sgmiller@gmail.com) with significant contribution from Matthias Radestock (matthias@sorted.org).